Bug 117782 - The screen turns white and the machine locks
The screen turns white and the machine locks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-08 10:37 EST by Don Hardaway
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 10:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is my config file (3.03 KB, text/plain)
2004-03-18 13:39 EST, Don Hardaway
no flags Details
here is the log file (43.25 KB, text/plain)
2004-03-18 13:45 EST, Don Hardaway
no flags Details

  None (edit)
Description Don Hardaway 2004-03-08 10:37:52 EST
Description of problem:

When i switch to a console, the screen turns white and the machine
locks up.
Version-Release number of selected component (if applicable):
vmlinuz-2.6.3-2.1.242, 
XFree86-4.3.0-62
How reproducible:
everytime

Steps to Reproduce:
1.boot machine
2.switch to console ctl-alt-f1
3.
  
Actual results:
screen turns white and machine locks up

Expected results:

console would appear
Additional info:
Comment 1 Bill Nottingham 2004-03-08 15:33:03 EST
i8xx video?
Comment 2 Don Hardaway 2004-03-08 21:33:59 EST
ATI mobility m4 running on a dell c800 laptop
Comment 3 Don Hardaway 2004-03-09 13:58:59 EST
Just updated to the latest kernel 246 and X.63--still makes the screen
go white and machine locks up when 1. ctl-alt-f1 or selecting shutdown
from the menu.
Comment 4 Bill Nottingham 2004-03-09 14:05:58 EST
Does it work if you disable DRI?
Comment 5 Don Hardaway 2004-03-09 15:19:35 EST
Nope. commented out load dri in XFconfig and it still crashes
Comment 6 Don Hardaway 2004-03-10 06:41:50 EST
I also note that when the screen turns white, I can still hit the
ctl-alt-delete keys repeatedly and the machine will reboot--so I am
not sure if the machine is totally locking up or not--since the screen
is totally white you can't see what you are doing.
Comment 7 Mike A. Harris 2004-03-18 12:33:26 EST
XFree86 4.3.0 has now been replaced by xorg-x11 in Fedora Core 2
development, which is very closely based on XFree86 4.4.0 including
all video driver updates.

Please upgrade to all of the latest Fedora Core development packages
including xorg-x11, or alternatively wait until Fedora Core 2 test 2
is available for testing, to see if the problem is resolved in the
new X11 implementation we plan on shipping.

If the problem persists, please attach your X server log file and
config file from the problematic X session.

Thanks in advance.
Comment 8 Don Hardaway 2004-03-18 13:39:54 EST
Created attachment 98658 [details]
here is my config file

I have already changed over to xorg and got the white screen problem when i
logout--sometimes.
Comment 9 Don Hardaway 2004-03-18 13:45:17 EST
Created attachment 98659 [details]
here is the log file

anything else you need please let me know.
Comment 10 Michael J. Kofler 2004-04-06 03:26:00 EDT
Sounds like a similar problem to what I'm experiencing. My machine 
white screens and completely locks up (no response to 
ctrl-alt-backspace, ctrl-alt-del, etc) after choosing logout in 
gnome. 
I'm using the most recent gnome/xorg-x11 on FC2 test 2 with an NVIDIA 
GeForce2 MX 400 using the NVIDIA driver 
NVIDIA-Linux-x86-1.0-5336-pkg1.run 
How to Reproduce: Try to logout or ctrl-alt-f1 switch to console 
Expected results: normal logout/switch 
Actual Results: machine locks up 
Occurs: Always 
Comment 12 Mike A. Harris 2004-05-05 14:43:59 EDT
Internal status update:  Further investigation of the issue reported
in this report requires direct physical access to a Dell model C800
laptop of which this problem can be directly reproduced.

Once hardware can be ascertained, the issue can be assigned to an
X developer and physical debugging of the issue can resume.

Setting bug status to "DEFERRED" until required hardware can be
acquired, and noting NEED_HARDWARE in developer whiteboard.
Comment 13 Edward Clark 2004-05-23 00:24:30 EDT
I get the same thing when i launch TuxRacer.
If I use the Radeon Drivers for the 9600, it works but choppy. If I
use the drivers from ATI for the 9600, I get the white screen on launch.
Using a Dell D800 with an ATI 9600 Mobility Pro card from Dell
Inspiron 8600. So that means this happens with NVIDIA and ATI cards on
Dell laptops.
Comment 15 Mike A. Harris 2005-04-20 10:20:30 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.